# shellcheck shell=bash

# shellcheck source=./_functions.sh
. "$(dirname "$0")/_functions.sh"

title "yarn v1"
tempDir="/tmp/husky-yarn-1-test"

rm -rf $tempDir

# generated by pretest script
tgz="./husky-*.tgz"

# Create directory
mkdir -p $tempDir

# Install
cp $tgz $tempDir/husky.tgz
cd $tempDir
yarn init -y && yarn add ./husky.tgz

init_git
yarn husky init
npm set-script test "echo \"msg from pre-commit hook\" && exit 1"

# Test package.json scripts
grep '"prepare": "husky install"' package.json || ok

# Test core.hooksPath
test_hooksPath ".husky"

# Test pre-commit
git add package.json
git commit -m "should fail" || ok

# Uninstall
yarn remove husky
git config core.hooksPath || ok
